"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactIntl = require("react-intl");

var _cspaceInput = require("cspace-input");

var _AdminSearchBar = _interopRequireDefault(require("../../../styles/cspace-ui/AdminSearchBar.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const {
  LineInput,
  MiniButton
} = _cspaceInput.components;
const messages = (0, _reactIntl.defineMessages)({
  filter: {
    "id": "invocableSearchBar.filter",
    "defaultMessage": "Filter by name"
  },
  clear: {
    "id": "invocableSearchBar.clear",
    "defaultMessage": "Clear"
  }
});
const propTypes = {
  value: _propTypes.default.string,
  onChange: _propTypes.default.func
};
const contextTypes = {
  intl: _reactIntl.intlShape
};

class InvocableSearchBar extends _react.Component {
  constructor() {
    super();
    this.handleClearButtonClick = this.handleClearButtonClick.bind(this);
    this.handleInputChange = this.handleInputChange.bind(this);
  }

  handleClearButtonClick() {
    const {
      onChange
    } = this.props;

    if (onChange) {
      onChange('');
    }
  }

  handleInputChange(value) {
    const {
      onChange
    } = this.props;

    if (onChange) {
      onChange(value);
    }
  }

  render() {
    const {
      value
    } = this.props;
    const {
      intl
    } = this.context;
    return _react.default.createElement("div", {
      className: _AdminSearchBar.default.common
    }, _react.default.createElement(LineInput, {
      label: intl.formatMessage(messages.filter),
      onChange: this.handleInputChange,
      value: value
    }), _react.default.createElement("div", null, _react.default.createElement(MiniButton, {
      autoWidth: true,
      onClick: this.handleClearButtonClick
    }, intl.formatMessage(messages.clear))));
  }

}

exports.default = InvocableSearchBar;
InvocableSearchBar.propTypes = propTypes;
InvocableSearchBar.contextTypes = contextTypes;