"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = InvocationTargetInput;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactIntl = require("react-intl");

var _cspaceInput = require("cspace-input");

var _RecordSearchInput = _interopRequireDefault(require("../search/RecordSearchInput"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const {
  Label
} = _cspaceInput.components;
const messages = (0, _reactIntl.defineMessages)({
  single: {
    "id": "invocationTargetInput.single",
    "defaultMessage": "Record"
  },
  list: {
    "id": "invocationTargetInput.list",
    "defaultMessage": "Records"
  },
  group: {
    "id": "invocationTargetInput.group",
    "defaultMessage": "Group"
  }
});
const propTypes = {
  mode: _propTypes.default.string.isRequired,
  readOnly: _propTypes.default.bool
};

function InvocationTargetInput(props) {
  const {
    mode
  } = props,
        remainingProps = _objectWithoutProperties(props, ["mode"]);

  if (mode === 'nocontext') {
    return _react.default.createElement("div", null);
  }

  return _react.default.createElement(_RecordSearchInput.default, _extends({
    label: _react.default.createElement(Label, {
      required: !props.readOnly
    }, _react.default.createElement(_reactIntl.FormattedMessage, messages[mode]))
  }, remainingProps));
}

InvocationTargetInput.propTypes = propTypes;