"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactIntl = require("react-intl");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const messages = (0, _reactIntl.defineMessages)({
  pending: {
    "id": "logoutIndicator.pending",
    "defaultMessage": "Signing out..."
  },
  success: {
    "id": "logoutIndicator.success",
    "defaultMessage": "Success!"
  }
});

class LogoutIndicator extends _react.Component {
  componentDidUpdate(prevProps) {
    const {
      onSuccess,
      isPending,
      response
    } = this.props;

    if (onSuccess) {
      const isSuccess = prevProps.isPending && !isPending && response;

      if (isSuccess) {
        onSuccess();
      }
    }
  }

  renderPending() {
    const {
      isPending
    } = this.props;

    if (!isPending) {
      return null;
    }

    return _react.default.createElement("div", null, _react.default.createElement(_reactIntl.FormattedMessage, messages.pending));
  }

  renderSuccess() {
    const {
      response
    } = this.props;

    if (!response) {
      return null;
    }

    return _react.default.createElement("div", null, _react.default.createElement("h2", null, _react.default.createElement("br", null)), _react.default.createElement("p", null, _react.default.createElement(_reactIntl.FormattedMessage, messages.success)));
  }

  renderError() {
    const {
      error
    } = this.props;

    if (!error) {
      return null;
    }

    return _react.default.createElement("div", null, error.message);
  }

  render() {
    return this.renderPending() || this.renderSuccess() || this.renderError();
  }

}

exports.default = LogoutIndicator;
LogoutIndicator.propTypes = {
  isPending: _propTypes.default.bool,
  response: _propTypes.default.object,
  error: _propTypes.default.object,
  onSuccess: _propTypes.default.func
};