"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = OpenButton;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactIntl = require("react-intl");

var _cspaceInput = require("cspace-input");

var _OpenButton = _interopRequireDefault(require("../../../styles/cspace-ui/OpenButton.css"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const {
  Button
} = _cspaceInput.components;
const messages = (0, _reactIntl.defineMessages)({
  label: {
    "id": "openButton.label",
    "defaultMessage": "Open"
  }
});
const propTypes = {
  onClick: _propTypes.default.func
};

function OpenButton(props) {
  const {
    onClick
  } = props;
  return _react.default.createElement(Button, {
    className: _OpenButton.default.common,
    icon: true,
    name: "open",
    onClick: onClick
  }, _react.default.createElement(_reactIntl.FormattedMessage, messages.label));
}

OpenButton.propTypes = propTypes;