"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _immutable = _interopRequireDefault(require("immutable"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const propTypes = {
  account: _propTypes.default.instanceOf(_immutable.default.Map),
  userId: _propTypes.default.string,
  findAccount: _propTypes.default.func
};

class AccountLabel extends _react.Component {
  componentDidMount() {
    const {
      findAccount,
      userId
    } = this.props;

    if (findAccount) {
      findAccount(userId);
    }
  }

  componentDidUpdate(prevProps) {
    const {
      userId,
      findAccount
    } = this.props;

    if (findAccount && prevProps.userId !== userId) {
      findAccount(userId);
    }
  }

  render() {
    const {
      account,
      userId
    } = this.props;
    let label;

    if (account) {
      label = account.get('screenName');
    } else if (userId) {
      label = userId;
    }

    if (label) {
      return _react.default.createElement("span", null, label);
    }

    return null;
  }

}

exports.default = AccountLabel;
AccountLabel.propTypes = propTypes;