"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.ConnectedComboBoxInput = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _reactRedux = require("react-redux");

var _reactIntl = require("react-intl");

var _cspaceInput = require("cspace-input");

var _reducers = require("../../reducers");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

const {
  ComboBoxInput
} = _cspaceInput.components;

const mapStateToProps = (state, ownProps) => {
  const {
    intl,
    source: optionListName
  } = ownProps;
  const options = (0, _reducers.getOptionList)(state, optionListName);
  return {
    options,
    formatOptionLabel: option => option.message ? intl.formatMessage(option.message) : option.value
  };
};

const mapDispatchToProps = {};

const mergeProps = (stateProps, dispatchProps, ownProps) => {
  const {
    /* eslint-disable no-unused-vars */
    intl,
    source
  } = ownProps,
        remainingOwnProps = _objectWithoutProperties(ownProps, ["intl", "source"]);

  return _objectSpread({}, remainingOwnProps, stateProps, dispatchProps);
};

const ConnectedComboBoxInput = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps, mergeProps)(ComboBoxInput);
exports.ConnectedComboBoxInput = ConnectedComboBoxInput;
const IntlizedConnectedComboBoxInput = (0, _reactIntl.injectIntl)(ConnectedComboBoxInput);
IntlizedConnectedComboBoxInput.propTypes = _objectSpread({}, ComboBoxInput.propTypes, {
  source: _propTypes.default.string
});
var _default = IntlizedConnectedComboBoxInput;
exports.default = _default;