"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = withRecordType;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function withRecordType(BaseComponent) {
  function WithRecordType(props, context) {
    const {
      recordType
    } = context;
    return _react.default.createElement(BaseComponent, _extends({}, props, {
      recordType: recordType
    }));
  }

  WithRecordType.contextTypes = {
    recordType: _propTypes.default.string
  };
  return WithRecordType;
}