"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

var _default = configContext => {
  const {
    formatOption,
    formatRefNameAsVocabularyName,
    formatTimestamp,
    formatWorkflowStateIcon
  } = configContext.formatHelpers;
  return {
    default: {
      workflowState: {
        flexGrow: 0,
        flexShrink: 0,
        formatValue: formatWorkflowStateIcon,
        order: 10,
        width: 32
      },
      termDisplayName: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.concept.default.termDisplayName",
            "defaultMessage": "Display name"
          }
        }),
        order: 20,
        sortBy: 'concepts_common:conceptTermGroupList/0/termDisplayName',
        width: 250
      },
      termStatus: {
        formatValue: (data, formatterContext) => formatOption('conceptTermStatuses', data, formatterContext),
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.concept.default.termStatus",
            "defaultMessage": "Term status"
          }
        }),
        order: 30,
        sortBy: 'concepts_common:conceptTermGroupList/0/termStatus',
        width: 250
      },
      vocabulary: {
        dataKey: 'refName',
        formatValue: formatRefNameAsVocabularyName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.concept.default.vocabulary",
            "defaultMessage": "Vocabulary"
          }
        }),
        order: 40,
        width: 150
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            "id": "column.concept.search.updatedAt",
            "defaultMessage": "Updated"
          }
        }),
        order: 50,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};

exports.default = _default;