"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactIntl = require("react-intl");

const template = configContext => {
  const {
    React
  } = configContext.lib;
  const {
    Col,
    Cols,
    Panel,
    Row
  } = configContext.layoutComponents;
  const {
    Field,
    InputTable
  } = configContext.recordComponents;
  return React.createElement(Field, {
    name: "document"
  }, React.createElement(Panel, {
    name: "objectEntryInfo",
    collapsible: true
  }, React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "entryNumber"
  }), React.createElement(Field, {
    name: "entryDate"
  }), React.createElement(Field, {
    name: "entryReason"
  }), React.createElement(Field, {
    name: "entryMethods"
  }, React.createElement(Field, {
    name: "entryMethod"
  }))), React.createElement(Col, null, React.createElement(Field, {
    name: "returnDate"
  }), React.createElement(Field, {
    name: "currentOwner"
  }), React.createElement(InputTable, {
    name: "depositor"
  }, React.createElement(Field, {
    name: "depositor"
  }), React.createElement(Field, {
    name: "depositorsRequirements"
  })))), React.createElement(Field, {
    name: "approvalGroupList"
  }, React.createElement(Field, {
    name: "approvalGroup"
  }, React.createElement(Field, {
    name: "approvalGroup"
  }), React.createElement(Field, {
    name: "approvalIndividual"
  }), React.createElement(Field, {
    name: "approvalStatus"
  }), React.createElement(Field, {
    name: "approvalDate"
  }), React.createElement(Field, {
    name: "approvalNote"
  }))), React.createElement(Field, {
    name: "entryNote"
  }), React.createElement(Field, {
    name: "packingNote"
  })), React.createElement(Panel, {
    name: "objectCollectionInfo",
    collapsible: true,
    collapsed: true
  }, React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "fieldCollectionDate"
  }), React.createElement(Field, {
    name: "fieldCollectionMethods"
  }, React.createElement(Field, {
    name: "fieldCollectionMethod"
  })), React.createElement(Field, {
    name: "fieldCollectionNote"
  }), React.createElement(Field, {
    name: "fieldCollectionNumber"
  })), React.createElement(Col, null, React.createElement(Field, {
    name: "fieldCollectionPlace"
  }), React.createElement(Field, {
    name: "fieldCollectionSources"
  }, React.createElement(Field, {
    name: "fieldCollectionSource"
  })), React.createElement(Field, {
    name: "fieldCollectors"
  }, React.createElement(Field, {
    name: "fieldCollector"
  })), React.createElement(Field, {
    name: "fieldCollectionEventNames"
  }, React.createElement(Field, {
    name: "fieldCollectionEventName"
  }))))), React.createElement(Panel, {
    name: "valuation",
    collapsible: true,
    collapsed: true
  }, React.createElement(Row, null, React.createElement(Field, {
    name: "valuer"
  }), React.createElement(Field, {
    name: "valuationReferenceNumber"
  }))), React.createElement(Panel, {
    name: "insurance",
    collapsible: true,
    collapsed: true
  }, React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "insurers"
  }, React.createElement(Field, {
    name: "insurer"
  })), React.createElement(Field, {
    name: "insurancePolicyNumber"
  }), React.createElement(Field, {
    name: "insuranceRenewalDate"
  })), React.createElement(Col, null, React.createElement(Field, {
    name: "insuranceReferenceNumber"
  }), React.createElement(Field, {
    name: "insuranceNote"
  })))), React.createElement(Panel, {
    name: "location",
    collapsible: true,
    collapsed: true
  }, React.createElement(Field, {
    name: "currentLocationGroupList"
  }, React.createElement(Field, {
    name: "currentLocationGroup"
  }, React.createElement(Field, {
    name: "currentLocation"
  }), React.createElement(Field, {
    name: "currentLocationFitness"
  }), React.createElement(Field, {
    name: "currentLocationNote"
  }))), React.createElement(Row, null, React.createElement(Field, {
    name: "locationDate"
  }), React.createElement(Field, {
    name: "normalLocation"
  }))), React.createElement(Panel, {
    name: "condition",
    collapsible: true,
    collapsed: true
  }, React.createElement(Cols, null, React.createElement(Col, null, React.createElement(Field, {
    name: "conditionCheckMethods"
  }, React.createElement(Field, {
    name: "conditionCheckMethod"
  })), React.createElement(Field, {
    name: "conditionCheckReasons"
  }, React.createElement(Field, {
    name: "conditionCheckReason"
  })), React.createElement(Field, {
    name: "conditionCheckersOrAssessors"
  }, React.createElement(Field, {
    name: "conditionCheckerOrAssessor"
  }))), React.createElement(Col, null, React.createElement(Field, {
    name: "conditionCheckDate"
  }), React.createElement(Field, {
    name: "conditionCheckReferenceNumber"
  }))), React.createElement(Field, {
    name: "conditionCheckNote"
  })));
};

var _default = configContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.intake.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  sortOrder: 0,
  template: template(configContext)
});

exports.default = _default;