"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _default = configContext => data => {
  const {
    getPart
  } = configContext.recordDataHelpers;
  const {
    getDisplayName
  } = configContext.refNameHelpers;

  if (!data) {
    return '';
  }

  const common = getPart(data, 'objectexit_common');

  if (!common) {
    return '';
  }

  const exitNumber = common.get('exitNumber');
  const currentOwner = getDisplayName(common.get('currentOwner'));
  return [exitNumber, currentOwner].filter(part => !!part).join(' – ');
};

exports.default = _default;